<?php
namespace nur\sery\app;

use nur\cli\Application;
use nur\sery\output\msg;

class LongTaskApp extends Application  {
  const APPCODE = "long-task";
  const USE_LOGFILE = true;
  const USE_RUNFILE = true;
  const USE_RUNLOCK = true;

  function main() {
    $step = 100;
    while (--$step > 0) {
      msg::print("step $step");
      sleep(1);
    }
  }
}
